Subject: t3lib_pageSelect* compatibility classes not loaded in backend
Description

When creating a new TypoScript template in the backend, TYPO3\\CMS\\Frontend\\Page\\PageRepository->getPage() gets called.
This method calls "getPage" hooks, which may be 4.7-compatible extensions that have to implement the
t3lib_pageSelect_getPageHook interface.

Currently, the t3lib_pageSelect_getPageHook alias mapping is defined in typo3/sysext/frontend/Migrations/Code/ClassAliasMap.php,
which does not get loaded in the backend - only in the frontend.

So when creating a new TypoScript template (not an extension template), the backend crashes:

PHP Fatal error: Interface 't3lib_pageSelect_getPageHook' not found in cwe/typo3conf/ext/contexts/Classes/Service/Page.php
on line 41

PHP Stack trace:

PHP 1. {main}() cwe/typo3_src/typo3/mod.php:0

PHP 2. require() cwe/typo3_src/typo3/mod.php:41

PHP 3. TYPO3\CMS\\Tstemplate\\Controller\\TypoScriptTemplateModuleController->main()
cwe/typo3_src/typo3/sysext/tstemplate/ts/index.php:38

PHP 4. TYPO3\CMS\\Tstemplate\\Controller\\TypoScriptTemplateModuleController->getButtons()
cwe/typo3_src/typo3/sysext/tstemplate/Classes/Controller/TypoScriptTemplateModuleController.php:192
PHP 5. TYPO3\\CMS\\Backend\\Utility\\BackendUlility::viewOnClick()
cwe/typo3_src/typo3/sysext/tstemplate/Classes/Controller/TypoScriptTemplateModuleController.php:260
PHP 6. TYPO3\CMS\\Backend\\Utility\\BackendUlility::createPreviewUrl()
cwe/typo3_src/typo3/sysext/backend/Classes/Utility/BackendUtility.php:2582

PHP 7. TYPO3\CMS\\Backend\\Utility\\BackendUTtility::getViewDomain()
cwe/typo3_src/typo3/sysext/backend/Classes/Utility/BackendUtility.php:2638

PHP 8. TYPO3\CMS\\Frontend\\Page\\PageRepository->getPage()
cwe/typo3_src/typo3/sysext/backend/Classes/Utility/BackendUtility.php:2662

PHP 9. TYPO3WCMS\\Core\\Utility\\GeneralUtility::getUserObj()
cwe/typo3_src/typo3/sysext/frontend/Classes/Page/PageRepository.php:176

PHP 10. TYPO3\CMS\Core\\Utility\\GeneralUtility::requireOnce()
cwe/typo3_src/typo3/sysext/core/Classes/Utility/GeneralUtility.php:4067

PHP 11. require_once() cwe/typo3_src/typo3/sysext/core/Classes/Utility/GeneralUtility.php:4446

You can reproduce this issue with TYPO3 6.2beta3 and an installed "contexts" extension.

Related issues:
related to Core - Bug # 55099: PHP Warnings after clearing configuration cach... Resolved 2014-01-17
precedes Core - Bug # 55151: "Create template for new website" does not show ... Resolved 2014-01-20
History

#1 - 2014-01-20 08:35 - Christian Weiske
- % Done changed from 0 to 100

This problem does not happen anymore with TYPO3 6.2beta4.

Please close this issue.

#2 - 2014-01-20 19:32 - Oliver Hader
- Status changed from New to Needs Feedback

Happened on my side with EXT:news and a hook that expects t3lib_ TCEmain...

#3 - 2014-01-20 19:32 - Oliver Hader

- % Done changed from 100 to 0

#4 - 2014-01-20 19:40 - Oliver Hader

- Status changed from Needs Feedback to Closed

This issue is a duplicate of #55099 - continue there to get a detailed explanation on the scenario.
Thus, the problem still exists with TYPO3 CMS 6.2 beta4 - it just might not happen all the time...

2015-08-04 22



